package com.ruoyi.dxp.dto;

import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.dxp.domain.DataItem;

/**
 * 共享数据对比对象
 */
public class CompareShareDataDto extends DataItem {
    private static final long serialVersionUID = 1L;

    /**
     * 变化类型
     */
    private BusinessType businessType;

    /**
     * 变更对比后的新的数据
     */
    private DataItem newData;

    public BusinessType getBusinessType() {
        return businessType;
    }

    public void setBusinessType(BusinessType businessType) {
        this.businessType = businessType;
    }

    public DataItem getNewData() {
        return newData;
    }

    public void setNewData(DataItem newData) {
        this.newData = newData;
    }
}
